<!DOCTYPE html>
<html lang="en">
<head>
  <title>67.S10</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

  <!-- Import Datatable sau jquery -->
  <!-- Import them style bootstrap cho datatable -->
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
  <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
  <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>

  <script>
      $(document).ready(function(){
        var table = $("#user-table").DataTable( {
          // Khai báo các cột của datatable (Chú ý tên cột phải giống thuộc tính của object trong mảng đã khai báo)
          "columns" : [
              { "data" : "id" },
              { "data" : "maSanPham" },
              { "data" : "tenSanPham" },
              { "data" : "giaTien" },
              { "data" : "ngayTao" },
              { "data" : "ngayCapNhat" }
          ]
        });

        $.ajax({
            url: "http://localhost:8080/productions",
            type: "GET",
            dataType: 'json',
            success: function(responseObject){
                console.log(responseObject);
                //Xóa toàn bộ dữ liệu đang có của bảng
                table.clear();

                //Cập nhật data cho bảng 
                table.rows.add(responseObject);

                //Cập nhật lại giao diện hiển thị bảng
                table.draw();
            },
            error: function(error){
                console.log(error.responseText);
            }
        });
      });
  </script>
</head>
<body>

<div class="container">
  <h2 style="text-align: center;">Danh sách sản phẩm</h2>
  <table class="table table-bordered table-striped table-hover" id="user-table">
    <thead>
      <tr>
        <th>ID</th>
        <th>Mã sản phẩm </th>
        <th>Tên sản phẩm</th>
        <th>Giá tiền</th>
        <th>Ngày tạo</th>
        <th>Ngày cập nhật</th>
      </tr>
  </table>
</div>

</body>
</html>
​
